function files=listdir(path)
% files = listdir(path)
% returns a cell array of the filenames of the files contained in the
% directory
%

if ~exist(path, 'dir')
    error('Input path (%s) does not exist or is not a folder', path);
end
dirResults = dir(path);
% first and second elements are '.' and '..'

files = cell(length(dirResults)-2,1);
for f=3:length(dirResults)
    files{f-2}=dirResults(f).name;
end
end
